@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');
@import url('icons/materialicons.css');
@import url('icons/materialsymbols.css');
@import url('icons/appIcons.css');

/*#region Basic layout rules */
:root {
    --global-size: 16px;
}

html, body {
    font-family: 'Segoe UI',Helvetica Neue, Helvetica, Arial, sans-serif;
    height: 100%;
    font-size: var(--global-size);
}

.dx-gridlayout-item {
    background-color: inherit;
}

.px-42 {
    padding-left: 2rem !important;
    padding-right: 2rem !important;
}

.page {
    background-color: var(--bs-pageBackground);
}

/*#endregion*/

/*#region Exception handling */
@media (max-width: 500px) {
    #blazor-error-ui {
        width: 100%;
    }
}

@media (min-width: 500px) {
    #blazor-error-ui {
        width: 327px;
    }
}

#blazor-error-ui {
    background: white;
    bottom: 0;
    box-shadow: 0 -1px 10px 2px rgba(255, 0, 0, 0.5);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    z-index: 2000;
    animation-name: exceptionDivAnimation;
    animation-duration: 1500ms;
    animation-fill-mode: backwards;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
        font-weight: bold;
        color: var(--bs-light);
    }

    #blazor-error-ui .reload {
        font-weight: bold;
        color: blue;
        margin-left: auto;
        margin-right: auto;
        display: table;
        cursor: pointer;
    }

@keyframes exceptionDivAnimation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}
/*#endregion*/

/*#region General site rules */
.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

a {
    text-decoration: none !important;
}

thead th {
    text-transform: unset !important;
}
/*#endregion*/

/*#region Dev express component rules */
.MyCheckbox.modified.valid {
    outline: none;
}

.dxbl-badge {
    margin-right: 0.5rem !important;
}

    .dxbl-badge.dxbl-text {
        background-color: var(--bs-primary);
        color: floralwhite;
    }

/*#endregion*/

/*#region Application rules */
.propertyField {
    border-radius: 2rem !important;
    border: none !important;
    padding-left: 1rem !important;
}

/*#endregion*/
